#ifndef __OLED_H
#define __OLED_H 

#include "sys.h"
#include "stdlib.h"	

//-----------------LED˿ڶ---------------- 

#define LED_ON GPIO_ResetBits(GPIOA,GPIO_Pin_15)
#define LED_OFF GPIO_SetBits(GPIOA,GPIO_Pin_15)

//-----------------OLED˿ڶ---------------- 

#define OLED_SCLK_Clr() GPIO_ResetBits(GPIOA,GPIO_Pin_0)//SCL
#define OLED_SCLK_Set() GPIO_SetBits(GPIOA,GPIO_Pin_0)

#define OLED_SDIN_Clr() GPIO_ResetBits(GPIOA,GPIO_Pin_1)//SDA
#define OLED_SDIN_Set() GPIO_SetBits(GPIOA,GPIO_Pin_1)

#define OLED_RST_Clr() GPIO_ResetBits(GPIOA,GPIO_Pin_2)//RES
#define OLED_RST_Set() GPIO_SetBits(GPIOA,GPIO_Pin_2)

#define OLED_DC_Clr() GPIO_ResetBits(GPIOA,GPIO_Pin_3)//DC
#define OLED_DC_Set() GPIO_SetBits(GPIOA,GPIO_Pin_3)
 		     
#define OLED_CS1_Clr()  GPIO_ResetBits(GPIOA,GPIO_Pin_4)//CS1
#define OLED_CS1_Set()  GPIO_SetBits(GPIOA,GPIO_Pin_4)

#define OLED_CS2_Clr()  GPIO_ResetBits(GPIOA,GPIO_Pin_5)//CS2
#define OLED_CS2_Set()  GPIO_SetBits(GPIOA,GPIO_Pin_5)

#define OLED_FR1_Clr()  GPIO_ResetBits(GPIOA,GPIO_Pin_6)//FR1
#define OLED_FR1_Set()  GPIO_SetBits(GPIOA,GPIO_Pin_6)

#define OLED_FR2_Clr()  GPIO_ResetBits(GPIOA,GPIO_Pin_7)//FR2
#define OLED_FR2_Set()  GPIO_SetBits(GPIOA,GPIO_Pin_7)

#define OLED_CMD  0	//д
#define OLED_DATA 1	//д

void OLED_WR_Byte(u8 dat,u8 cmd);
void OLED_WR_Byte1(u8 dat,u8 cmd,u8 mode);
void OLED_Address_Set1(u16 x1,u16 x2,u16 y1,u16 y2,u8 t);
void OLED_Clear(u16 x1,u16 y1,u16 x2,u16 y2,u8 color);
void OLED_ShowChar(u16 x,u16 y,u8 chr,u8 sizey);
void OLED_ShowString(u16 x,u16 y,u8 *dp,u8 sizey);
u32 oled_pow(u8 m,u8 n);
void OLED_ShowNum(u16 x,u16 y,u32 num,u8 len,u8 sizey);
void OLED_ShowChinese(u16 x,u16 y,u8 number,u8 sizey);
void OLED_ShowPicture(u16 x,u16 y,u16 sizex,u16 sizey,const u8 bmp[]);
void OLED_Init(void);

#endif


